Index: release/Makefile
===================================================================
RCS file: /usr/local/ncvs/src/release/Makefile,v
retrieving revision 1.536.2.110
diff -u -r1.536.2.110 Makefile
--- release/Makefile	10 May 2003 23:01:29 -0000	1.536.2.110
+++ release/Makefile	9 Oct 2003 04:49:50 -0000
@@ -281,6 +281,10 @@
 	if [ -f /etc/resolv.conf ]; then \
 		cp -p /etc/resolv.conf ${CHROOTDIR}/etc; \
 	fi
+.if defined(CPNOTCVS)
+	cd ${CHROOTDIR}/usr && rm -rf src && \
+		mkdir src && cp -pRP ${CVSROOT}/src/* src/
+.else
 .if !defined(RELEASETAG)
 	cd ${CHROOTDIR}/usr && rm -rf src && \
 		cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P ${RELEASESRCMODULE}
@@ -288,6 +292,8 @@
 	cd ${CHROOTDIR}/usr && rm -rf src && \
 		cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P -r ${RELEASETAG} ${RELEASESRCMODULE}
 .endif
+.endif
+.endif
 .if defined(LOCAL_PATCHES) && exists(${LOCAL_PATCHES})
 	cd ${CHROOTDIR}/usr/src && patch ${PATCH_FLAGS} < ${LOCAL_PATCHES}
 .endif
@@ -295,11 +301,16 @@
 	cd ${CHROOTDIR} && env CHROOTDIR=${CHROOTDIR} BUILDNAME=${BUILDNAME} RELEASETAG=${RELEASETAG} ${LOCAL_SCRIPT}
 .endif
 .if !defined(NOPORTS)
+.if defined(CPNOTCVS)
+	cd ${CHROOTDIR}/usr && rm -rf ports && \
+		mkdir ports && cp -pRP ${CVSROOT}/ports/* ports/
+.else
 .if defined(PORTSRELEASETAG)
 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P -r ${PORTSRELEASETAG} ${RELEASEPORTSMODULE}
 .else
 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P ${RELEASEPORTSMODULE}
 .endif
+.endif
 .elif defined(DOMINIMALDOCPORTS) && ${DOMINIMALDOCPORTS} == "YES"
 .if defined(PORTSRELEASETAG)
 	cd ${CHROOTDIR}/usr && rm -rf ports && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P -r ${PORTSRELEASETAG} ${MINIMALDOCPORTS}
@@ -308,11 +319,15 @@
 .endif
 .endif
 .if !defined(NODOC)
+.if defined(CPNOTCVS)
+	cd ${CHROOTDIR}/usr && rm -rf doc && mkdir doc && cp -pRP ${CVSROOT}/doc/* doc/
+.else
 .if defined(DOCRELEASETAG)
 	cd ${CHROOTDIR}/usr && rm -rf doc && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P -r ${DOCRELEASETAG} ${RELEASEDOCMODULE}
 .else
 	cd ${CHROOTDIR}/usr && rm -rf doc && cvs -R -d ${CVSROOT} co ${CVSCMDARGS} -P ${RELEASEDOCMODULE}
 .endif
+.endif
 	if [ -d ${RELEASEDISTFILES}/ ]; then \
 		cp -rp ${RELEASEDISTFILES} ${CHROOTDIR}/usr/ports/distfiles; \
 	else \
@@ -327,7 +342,6 @@
 	done
 .endif
 .endif
-.endif
 .if make(rerelease)
 .if !defined(RELEASENOUPDATE)
 .if !defined(RELEASETAG)
@@ -344,7 +358,12 @@
 	done
 .endif
 .if !defined(NODOC)
+.if defined(CPNOTCVS)
+	cd ${CHROOTDIR}/usr && rm -rf src && \
+		mkdir doc && cp -pRP ${CVSROOT}/doc/* doc/
+.else
 	cd ${CHROOTDIR}/usr/doc && cvs -R -q update ${CVSCMDARGS} -P -d
+.endif
 .endif
 .endif
 .endif
